﻿using System.Windows.Media;

namespace BezierSpline.Models
{
    public class SelectedColorModel
    {
        public bool IsChecked { get; set; }
        public string ColorName { get; set; }

        public static implicit operator SelectedColorModel(Color color)
        {
            return new SelectedColorModel { ColorName = color.ToString(), IsChecked = true };
        }

        public override string ToString()
        {
            return string.Format("ColorName = {0}, IsChecked = {1}", ColorName, IsChecked);
        }
    }
}
